<app-template-page [titre]="'Modification du client ' + customerLastname + ' '+ firstName "
  (actionRetour)="goBackToList()">
  <ngb-toast header="Modification du client"
class="bg-succes" *ngIf="success"
(hidden) = "goBackToList()">
Modifications réussie
</ngb-toast>

<ngb-toast header="Modification du client"
class="bg-danger" *ngIf="failure"
[delay]="1000" (hidden)="failure = false">
Modifications échoués
</ngb-toast>


<form [formGroup]="formulaire" *ngIf="formulaire" >
  <fieldset class="fieldset m-5" [disabled]="failure || success">
    <legend>Formulaire de client</legend>
    <div class="form-control m-2 border border-primary">
      Id :
      <label formControlName="id">{{customer.id}}
    </label>
  </div>
  <div class="form-control m-2 border border-primary">
    <label>
      Nom :
    <input formControlName="lastname"  type="text" [(ngModel)]="customer.lastname" minlength="2" maxlength="100"  pattern="[A-ZÉ ]{2,100}" oninput="this.value = this.value.toUpperCase()" >
    </label>
      <p class="text-secondary" *ngIf="formulaire.controls['lastname'].invalid">
        Le nom est requis en majuscule, il doit contenir au moins 2 caractères et moins de 100 caractères.
      </p>
  </div>
  <div class="form-control m-2 border border-primary">
    <label>
      Prénom :
      <input formControlName="firstName"  type="text" [(ngModel)]="customer.firstname" minlength="2" maxlength="100"  pattern="[a-zA-ZäâéëçÉ ]{2,100}">
    </label>
    <p class="text-secondary" *ngIf="formulaire.controls['firstName'].invalid">
      Le prénom est requis, il doit contenir au moins 2 caractères et moins de 100 caractères.
    </p>
    </div>
  <div class="form-control m-2 border border-primary">
    <label>
      Entreprise :
      <input formControlName="company"  type="text" [(ngModel)]="customer.company" minlength="2" maxlength="200">
    </label>
    <p class="text-secondary" *ngIf="formulaire.controls['company'].invalid">
      Le nom de l'entreprise est requis, il doit contenir au moins 2 caractères et moins de 200 caractères.
    </p>
   </div>
  <div class="form-control m-2 border border-primary">
    <label>
      Courriel :
      <input formControlName="mail" type="email" [(ngModel)]="customer.mail" minlength="6" maxlength="255"  pattern="[a-z0-9._%+-]+@[a-z0-9-]+.([a-z]{2,4})">
    </label>
    <p class="text-secondary" *ngIf="formulaire.controls['mail'].invalid">
      Le courriel est requis. Merci de saisir un courriel de type
      exemple@exemple.fr</p>
      </div>
      <div class="form-control m-2 border border-primary">
    <label>
      Téléphone :
      <input formControlName="phone" type="text" [(ngModel)]="customer.phone" minlength="10" maxlength="10"  pattern="(0)[1-9][0-9]{8}">
    </label>
    <p class="text-secondary" *ngIf="formulaire.controls['phone'].invalid">
      Le numéro de téléphone est requis, il doit contenir au moins 10
      chiffres et commencer par 0 </p>
        </div>
  <div class="form-control m-2 border border-primary">
    <label>
      Portable :
      <input formControlName="mobile" type="text" [(ngModel)]="customer.mobile" minlength="10" maxlength="10"  pattern="^(0)[6-7][0-9]{8}$">
    </label>
    <p class="text-secondary" *ngIf="formulaire.controls['mobile'].invalid">
      Le numéro de portable est requis, il doit contenir au moins 10
      chiffres et commencer par 06 ou 07
    </p>
  </div>
  <div class="form-control m-2 border border-primary">
    <label class="form-check-inline">Statut : </label>
    <div class="form-check form-check-inline">
      <input  class="form-check-input form-check-inline" id="statusActive" type="radio"  formControlName="active" [value]="true" [(ngModel)]="customer.active"/>
      <label class="form-check-label" for="statusActive">Actif</label>
    </div>
    <div class="form-check form-check-inline">
      <input  class="form-check-input form-check-inline" id="statusInactive" type="radio" formControlName="active" [value]="false" [(ngModel)]="customer.active"/>
      <label class="form-check-label" for="statusInactive">Inactif</label>
  </div>
  <p class="text-secondary" *ngIf="formulaire.controls['active'].invalid">Merci de sélectionner le statut du client</p>
  </div>
  <div class="form-control m-2 border border-primary">
    <label>
      Notes :
      <textarea rows="5" cols="33" formControlName="notes"  [(ngModel)]="customer.notes"></textarea>
    </label>
  </div>

  </fieldset>

</form>
<div>
<button class="btn btn-primary m-2" [disabled]="formulaire.invalid || success" (click)="updateCustomer()"
>Valider</button>
<button class="btn btn-secondary">
  <a (click)=" goBackToList()">Retour</a>
</button>
</div>
</app-template-page>
